## org.mortbay.jaas.callback
Class DefaultCallbackHandler

    java.lang.Object
      |
      +--org.mortbay.jaas.callback.AbstractCallbackHandler
            |
            +--org.mortbay.jaas.callback.DefaultCallbackHandler

All Implemented Interfaces:
  javax.security.auth.callback.CallbackHandler

public class DefaultCallbackHandler
extends AbstractCallbackHandler

DefaultUsernameCredentialCallbackHandler

#### Notes

#### Usage

###

###

    Constructor Summary

    DefaultCallbackHandler()

    Method Summary

     void
    handle(javax.security.auth.callback.Callback[] callbacks)

    Methods inherited from class org.mortbay.jaas.callback.AbstractCallbackHandler

    getCredential, getUserName, setCredential, setUserName

    Methods inherited from class java.lang.Object

    equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    DefaultCallbackHandler

    public DefaultCallbackHandler()

    Method Detail

    handle

    public void handle(javax.security.auth.callback.Callback[] callbacks)
                throws java.io.IOException,
                       javax.security.auth.callback.UnsupportedCallbackException

    Specified by:handle in interface javax.security.auth.callback.CallbackHandlerOverrides:handle in class AbstractCallbackHandler

    java.io.IOException
    javax.security.auth.callback.UnsupportedCallbackException

    Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.